Subject: RE: Question of RRO behavior

From: "Feng, Mark" <[email-masked]>
Date: Fri, 26 Jul 2002 11:50:51 -0700

IMO, the phop should accept the message. Keep in mind that, RRO is not
mandatory.

- Mark

> -----Original Message-----
> From: Ganesh Murugesan [mailto:[email-masked]]
> Sent: Friday, July 26, 2002 11:04 AM
> To: [email-masked]'
> Cc: [email-masked]'; Ganesh Murugesan; [email-masked]'
> Subject: Question of RRO behavior
> 
> 
> Hi,
> 
> Section 4.4.3 of RFC 3209 quotes that
> 
>    When the destination node of an RSVP session receives a 
> Path message
>    with an RRO, this indicates that the sender node needs route
>    recording.  The destination node initiates the RRO process 
> by adding
>    an RRO to Resv messages.  The processing mirrors that of the Path
>    messages.  The only difference is that the RRO in a Resv message
>    records the path information in the reverse direction.
> 
> 
> Since there is no MUST or SHOULD used to describe the behaviour of
> the destination on receiving a PATH message with an RRO, what is the
> expected
> behavior on the node receiving the RESV message from the destination 
> if the destination decided not to place a RRO object in the 
> RESV message.
> 
> Should the Phop node drop the RESV message or forward the RESV message
> without an RRO,  or add a RRO to the outgoing RESV message or send a
> ResvErr downstream (with what error code/value)?
> 
> thanx
> ganesh
>

---

From: "Gray, Eric" <[email-masked]>
Date: Fri, 26 Jul 2002 16:26:39 -0400

David,

	Okay, thanks for the refresh on pinning.  :-)

	It might be a bad idea for the ingress to infer
from an RRO that an LSP did not follow the path given
in the ERO.  This is not being 'liberal in what you
receive' since the specification doesn't say that the 
address used in the RRO MUST be the same one that was
provided in the ERO for the same Path message (it does
give guidelines as to what address SHOULD be used, and
it RECOMMENDS consistent use from Path message to Path
message but, it if it also says that the address MUST
be the same as the one contained in the ERO, I didn't 
see it).

	I think the least that an LSR should do, if it is
actually checking to see if it is expecting an RRO when 
it does not get one, is record this event at least once
so that the operator might be able to discover that an
inconsistency exists.  I suspect that most LSRs are not
doing this check, so the absence of an RRO in a Resv
message will mean that it will not include an RRO in a
Path message sent upstream - automagically.

Eric W. Gray
Systems Architect
Celox Networks, Inc.
[email-masked]
508 305 7214

-----Original Message-----
From: David Charlap [mailto:[email-masked]] 
Sent: Friday, July 26, 2002 3:38 PM
To: [email-masked]'
Subject: Re: Question of RRO behavior

Gray, Eric wrote:
> 
> 	Can you give an example of an appropriate action
> that might be driven by RRO, even supposing it has been
> correctly constructed?  My impression is that the RRO 
> is intended to be used for information only and is not 
> intended to incur some activity in response...

It may be used to verify that the LSP is actually following the route 
specified by an ERO.

It may also be used as a part of route pinning - generate a Path without 
ERO, or with a loose ERO, and then compose a strict ERO from the RRO in 
order to pin the route in place.

-- David

---

From: "Gray, Eric" <[email-masked]>
Date: Fri, 26 Jul 2002 16:34:03 -0400

...

^^^^

Should be Resv...

Eric W. Gray
Systems Architect
Celox Networks, Inc.
[email-masked]
508 305 7214

-----Original Message-----
From: David Charlap [mailto:[email-masked]] 
Sent: Friday, July 26, 2002 3:38 PM
To: [email-masked]'
Subject: Re: Question of RRO behavior

-- David